﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace DisplayASimpleMap
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;
            winformsMap1.BackgroundOverlay.BackgroundBrush = new GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean);

            Proj4Projection proj4 = new Proj4Projection();
            proj4.InternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();

            //Set the external projection, the Google Overlays will project to external projection.
            proj4.ExternalProjectionParametersString = Proj4Projection.GetDecimalDegreesParametersString();

            GoogleMapsOverlay googleOverlay = new GoogleMapsOverlay();
            googleOverlay.ProjectionFromSphericalMercator = proj4;
            winformsMap1.Overlays.Add(googleOverlay);

            //The USStates.shp is based on DecimalDegree projection, same as external projection of proj4.
            ShapeFileFeatureLayer shpLayer = new ShapeFileFeatureLayer(@"..\..\App_Data\USStates.shp");
            shpLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.PastelYellow);
            shpLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay shapefileOverlay = new LayerOverlay();
            shapefileOverlay.Layers.Add(shpLayer);
            winformsMap1.Overlays.Add(shapefileOverlay);

            winformsMap1.CurrentExtent = new RectangleShape(-139.2, 92.4, 120.9, -93.2);

            winformsMap1.Refresh();
        }
    }
}